package com.bocloud.nms.model.hillstone;

import java.util.List;

// 本地用户ike
public class LocalUserIkeModel extends HillStoneGenericModel {
    private Long localUserId; // 用来确认本地用户与ike的关系 1-1
    private String props; // 原生IKE ID（1-254字符）
    private Integer idType; // 5 -> ANS1DN; 1->FQDN; 3->KEY-ID; 0 -> None   默认0
    private Long gateway;  // DHCP网关
    private Long dhcpStart; // DHCP启始地址
    private Long dhcpEnd; // DHCP结束地址
    private Long dhcpNetmask; // DHCP网络掩码 默认0
    private Long dns1;
    private Long dns2;
    private Long dns3;
    private Long dns4;
    private Long wins1;
    private Long wins2;
    private Long tunnelIp; // 隧道IP
    private Long snat;  // 用户源NAT 0 -> 关闭；1 -> 开启 默认0
    private List<LocalUserIkeRouteModel> routes; // 隧道路由

    public Long getLocalUserId() {
        return localUserId;
    }

    public void setLocalUserId(Long localUserId) {
        this.localUserId = localUserId;
    }

    public String getProps() {
        return props;
    }

    public void setProps(String props) {
        this.props = props;
    }

    public Integer getIdType() {
        return idType;
    }

    public void setIdType(Integer idType) {
        this.idType = idType;
    }

    public Long getGateway() {
        return gateway;
    }

    public void setGateway(Long gateway) {
        this.gateway = gateway;
    }

    public Long getDhcpStart() {
        return dhcpStart;
    }

    public void setDhcpStart(Long dhcpStart) {
        this.dhcpStart = dhcpStart;
    }

    public Long getDhcpEnd() {
        return dhcpEnd;
    }

    public void setDhcpEnd(Long dhcpEnd) {
        this.dhcpEnd = dhcpEnd;
    }

    public Long getDhcpNetmask() {
        return dhcpNetmask;
    }

    public void setDhcpNetmask(Long dhcpNetmask) {
        this.dhcpNetmask = dhcpNetmask;
    }

    public Long getDns1() {
        return dns1;
    }

    public void setDns1(Long dns1) {
        this.dns1 = dns1;
    }

    public Long getDns2() {
        return dns2;
    }

    public void setDns2(Long dns2) {
        this.dns2 = dns2;
    }

    public Long getDns3() {
        return dns3;
    }

    public void setDns3(Long dns3) {
        this.dns3 = dns3;
    }

    public Long getDns4() {
        return dns4;
    }

    public void setDns4(Long dns4) {
        this.dns4 = dns4;
    }

    public Long getWins1() {
        return wins1;
    }

    public void setWins1(Long wins1) {
        this.wins1 = wins1;
    }

    public Long getWins2() {
        return wins2;
    }

    public void setWins2(Long wins2) {
        this.wins2 = wins2;
    }

    public Long getTunnelIp() {
        return tunnelIp;
    }

    public void setTunnelIp(Long tunnelIp) {
        this.tunnelIp = tunnelIp;
    }

    public Long getSnat() {
        return snat;
    }

    public void setSnat(Long snat) {
        this.snat = snat;
    }

    public List<LocalUserIkeRouteModel> getRoutes() {
        return routes;
    }

    public void setRoutes(List<LocalUserIkeRouteModel> routes) {
        this.routes = routes;
    }
}
